# Attractors.jl

```@docs
Attractors
```

```@setup MAIN
using CairoMakie, Attractors
include("../basins_plotting.jl")
```

## Outline of Attractors.jl

1. First be sure that you are aware of what is a [`DynamicalSystem`](@ref).
2. The bulk of the work in Attractors.jl is done by the [`AttractorMapper`](@ref) type, that maps initial conditions to attractors. It can be used in functions like [`basins_fractions`](@ref).
3. The infastructure of finding attractors and their basins fractions is then integrated into a brand new way of doing bifurcation analysis in the [`continuation`](@ref) function.
4. See [Examples for Attractors.jl](@ref) for several applications in real world cases.

## `DynamicalSystem` reference

The kinds of dynamical systems that can be used in Attractors.jl are listed below for reference
```@docs
DynamicalSystem
DeterministicIteratedMap
CoupledODEs
StroboscopicMap
PoincareMap
ProjectedDynamicalSystem
ArbitrarySteppable
```

## `StateSpaceSet` reference

```@docs
StateSpaceSet
```